package roseindia.action;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.opensymphony.xwork2.ActionSupport;

public class OptGroupAction extends ActionSupport {

	private List<String> nameofCity;
	private Map<String,String> upCitiesName;
	private String Cites;
	

public List<String> getNameofCity() {
		return nameofCity;
	}
	public void setNameofCity(List<String> nameofCity) {
		this.nameofCity = nameofCity;
	}
	

public Map<String, String> getUpCitiesName() {
		return upCitiesName;
	}
	public void setUpCitiesName(Map<String, String> upCitiesName) {
		this.upCitiesName = upCitiesName;
	}
	
public String getCites() {
		return Cites;
	}
	public void setCites(String cites) {
		Cites = cites;
	}
public OptGroupAction()
{
	nameofCity=new ArrayList<String>();
	nameofCity.add("Mumbai");
	nameofCity.add("Bengaluru");
	nameofCity.add("Indore");
	nameofCity.add("Delhi");
	
	upCitiesName=new HashMap<String, String>();
	upCitiesName.put("Lucknow", "Lucknow");
	upCitiesName.put("Bareilly","Bareilly");
	upCitiesName.put("Allahabad","Allahabad");
	upCitiesName.put("Rampur","Rampur");
	
}
	public String execute()  {	
		
		return SUCCESS;
	}

}
